Package Details: jazz2-bin autoupdates-1

Git Clone URL: https://aur.archlinux.org/jazz2-bin.git (read-only, click to copy)
Package Base: jazz2-bin
Description: Jazz² Resurrection: Open-source Jazz Jackrabbit 2 reimplementation (release or nightly channel)
Upstream URL: http://deat.tk/jazz2/
Keywords: game jazz jazz2 jazzjackrabbit platformer
Licenses: GPL3, MIT/Expat
Submitter: Morelcia
Maintainer: None
Last Packager: myself600
Votes: 1
Popularity: 0.000022
First Submitted: 2021-12-22 13:49 (UTC)
Last Updated: 2023-01-16 22:17 (UTC)

Latest Comments

archi42 commented on 2023-08-21 08:46 (UTC)

I think the "abandoning" comment from original maintainer Morelcia isn't valid anymore? :)

According to the changelog myself600 did a rewrite on 2023-01-16. The code looks like the installed jazz2 loader shell script fetches the latest nightly of the C++ rewrite.

I was puzzled when I saw the PKGBUILD, because this was not what I expected - I was expecting the actual executable (plus any other of the GPL data) would be put into the pkg file. But I see how "proper" packaging with the various shareware and commercial data files would require a bunch of additional jazz2-data-* packages (similar to quake3); including ongoing maintenance efforts. So I appreciate the effort of unabandoning this with a simple solution and am looking forward to testing it after work :)

myself600 commented on 2022-11-29 16:08 (UTC) (edited on 2022-11-29 16:14 (UTC) by myself600)

Note: The files inside "~/.local/share/Jazz² Resurrection/Source" are identical with the (Secret Files) full version. Feel free to replace them!

Morelcia commented on 2022-11-13 16:35 (UTC) (edited on 2022-11-13 16:44 (UTC) by Morelcia)

Abandoning because I don't use Arch anymore and Jazz2 Resurrection got rewrite in C++ so I can't really even blind-update

instead, use: https://aur.archlinux.org/packages/jazz2-git

<deleted-account> commented on 2022-04-02 12:10 (UTC)

Thank you for this package. Two oddities though.

pushd and popd weren't installed on my system and required zsh to be installed, you should reflect this in the dependencies or find an alternative.

Scripts in /usr/bin still refused to find pushd and popd unless I changed the shebang to: #!/usr/bin/env bash

Morelcia commented on 2022-01-11 15:19 (UTC)

0.7.1 requires assets to be imported again if coming from older version.